## opencpn-plugin-findit 1.1001.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      nohal aka. Pavel Kalian
## Copyright:   
## License:     wxWidgets License
##---------------------------------------------------------------------------
 
# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(findit_pi)

SET(PACKAGE_NAME findit_pi)
SET(VERBOSE_NAME Findit)
SET(TITLE_NAME FINDIT)
SET(CPACK_PACKAGE_CONTACT "Del Elson")

SET(BUNDLE_DATA FALSE)

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR "${PLUGIN_VERSION_MINOR}${PLUGIN_VERSION_PATCH}")
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_FINDIT
	src/findit_pi.cpp
	src/findit_pi.h
	src/findit.cpp
	src/findit.h
	src/icons.cpp
	src/icons.h
	src/gui.cpp
	src/gui.h
	src/json_defs.h
	src/jsonreader.h
	src/jsonval.h
   	src/jsonwriter.h
   	src/jsonreader.cpp
   	src/jsonval.cpp
   	src/jsonwriter.cpp
)
IF(WIN32)
SET(SRC_TINYXML
	src/tinyxml/tinyxml.cpp
	src/tinyxml/tinyxml.h
	src/tinyxml/tinyxmlerror.cpp
	src/tinyxml/tinyxmlparser.cpp
	src/tinyxml/tinystr.cpp
	src/tinyxml/tinystr.h 
)
ENDIF(WIN32)


ADD_DEFINITIONS(-DTIXML_USE_STL)
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_FINDIT} ${SRC_TINYXML})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-findit (1.1001.0-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:50:46 -0700

opencpn-plugin-findit (1.1001.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:10:49 -0700

opencpn-plugin-findit (1.1001.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Upgraded the 2 wxwidgets build depends from 2.8 to 3.0.
  * Upgraded depends wx2.8-i18n to wx3.0-i18n

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 14:11:42 -0700

opencpn-plugin-findit (1.1001.0-0~wily1) wily; urgency=low

  * Version 1.1001

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 19 May 2015 06:32:28 -0500

=== debian/control ===
Source: opencpn-plugin-findit
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-findit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
